import request from '@/router/axios'

export default {
  getTaskInfoById: taskId => {
    return request({
      url: `admin/api/getTaskInfoById?taskId=${taskId}`,
      method: 'get'
    })
  },
  // 根据任务id查看 拜访签到记录
  getSignInfoByTaskId: params => {
    return request({
      url: 'admin/api/getSignInfoByTaskId',
      method: 'get',
      params
    })
  },
  // 新增任务
  saveTaskContent: data => {
    return request({
      url: 'admin/api/saveTaskContent',
      method: 'get',
      data
    })
  },
  //
  getSurveyTaskInfoById: taskId => {
    return request({
      url: `/admin/wmtask/survey-task-info/${taskId}`,
      method: 'get'
    })
  },
  getTaskList(id, isApprovalPage) {
    return request({
      url: `/admin/wmreport/list-package-task-type?id=${id}&isApprovalPage=${isApprovalPage}`,
      method: 'get'
    })
  },

  // 任务审核-查询状态
  wordStatus(id) {
    return request({
      url: `/admin/reportExport/exportZbReviewReport/status?scorePackageDrugId=${id}`,
      method: 'get'
    })
  },
  wordReport(id) {
    return request({
      url: `/admin/reportExport/exportZbReviewReport?scorePackageDrugId=${id}`,
      method: 'get'
    })
  },
  excelStatus(id) {
    return request({
      url: `/admin/report/excel/export/exportZbReviewReport/status?scorePackageDrugId=${id}`,
      method: 'get'
    })
  },
  excelReport(id) {
    return request({
      url: `/admin/report/excel/export/exportZbReviewReport?scorePackageDrugId=${id}`,
      method: 'get'
    })
  },
  // 服务审核-查询状态
  wordNBStatus(id) {
    return request({
      url: `/admin/reportExport/exportNbReviewReport/status?id=${id}`,
      method: 'get'
    })
  },
  excelNBStatus(id) {
    return request({
      url: `/admin/report/excel/export/exportNbReviewReport/status?id=${id}`,
      method: 'get'
    })
  },
  // 服务审核-导出报告
  wordNBReport(id, scoreId) {
    return request({
      url: `/admin/reportExport/exportNbReviewReport?id=${id}&scoreId=${scoreId}`,
      method: 'get'
    })
  },
  excelNBReport(id, scoreId) {
    return request({
      url: `/admin/report/excel/export/exportNbReviewReport?id=${id}&scoreId=${scoreId}`,
      method: 'get'
    })
  },
}

